%include %{_rpmconfigdir}/macros.python3

Name: python3-jinja2
Version: 2.11.2
Release: 1
License: BSD-3-Clause
Summary: A fast, expressive, extensible templating engine
Url: https://palletsprojects.com/p/jinja/

Source: https://files.pythonhosted.org/packages/64/a7/45e11eebf2f15bf987c3bc11d37dcc838d9dc81250e67e4c5968f6008b6c/Jinja2-2.11.2.tar.gz

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: python3-pip
BuildRequires: python3-markupsafe >= 0.23
BuildRequires: pkg-config

Requires: python3-markupsafe >= 0.23
%description
Jinja is a fast, expressive, extensible templating engine. Special placeholders
in the template allow writing code similar to Python syntax. Then the template
is passed data to render the final document.

%prep
%setup -q -n Jinja2-%{version}

# Fix the wrong dependencies /usr/bin/python
find . -type f | xargs perl -pi -e 's|/usr/bin/python|%{_bindir}/python3|g'

%build

python3 setup.py bdist_wheel

%install
pip%{py_ver} install --no-index --no-compile --root %{buildroot} dist/*.whl

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/Jinja2*
%{py_sitedir}/jinja2*

%changelog
* Mon Jun 1 2020 - Xu Meng <mengxumx@cn.ibm.com> - 2.11.2
- Initial commit
